# Uses of Class
javax.swing.CellRendererPane

Packages that use CellRendererPane
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of CellRendererPane in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as CellRendererPane
Modifier and Type
Field
Description
`protected CellRendererPane`
BasicComboBoxUI.`currentValuePane`
Used to render the currently selected item in the combo box.
`protected CellRendererPane`
BasicListUI.`rendererPane`
The instance of `CellRendererPane`.
`protected CellRendererPane`
BasicTableHeaderUI.`rendererPane`
The instance of `CellRendererPane`.
`protected CellRendererPane`
BasicTableUI.`rendererPane`
The instance of `CellRendererPane`.
`protected CellRendererPane`
BasicTreeUI.`rendererPane`
Used to paint the TreeCellRenderer.
Methods in javax.swing.plaf.basic that return CellRendererPane
Modifier and Type
Method
Description
`protected CellRendererPane`
BasicTreeUI.`createCellRendererPane()`
Returns the renderer pane that renderer components are placed in.

## Uses of CellRendererPane in javax.swing.plaf.metal

Fields in javax.swing.plaf.metal declared as CellRendererPane
Modifier and Type
Field
Description
`protected CellRendererPane`
MetalComboBoxButton.`rendererPane`
The instance of `CellRendererPane`.
Constructors in javax.swing.plaf.metal with parameters of type CellRendererPane
Modifier
Constructor
Description
``
`MetalComboBoxButton​(JComboBox<Object> cb, Icon i, boolean onlyIcon, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.
``
`MetalComboBoxButton​(JComboBox<Object> cb, Icon i, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.